#include <magic.h>
#include <ruby.h>

static magic_t magic;

VALUE rb_magic(VALUE self, VALUE s) {
    StringValue(s);
    return rb_str_new2(magic_file(magic, STR2CSTR(s)));
}

void Init_magic() {
    magic = magic_open(MAGIC_NONE);
    magic_load(magic, "/usr/share/file/magic");

    rb_define_global_function("magic", rb_magic, 1);
}
